#!/bin/bash

DIR1=$HOME/.local/bin
DIR2=/usr/bin
APPNAME=square-filler

    clear
    if [[ "${EUID}" -eq 0 ]]; then
    echo " "
    echo "คุณกำลังใช้สิทธิ์ Root! ต้องการถอนการติดตั้งจาก $DIR2 หรือไม่"
    echo " "
    echo "1) ไม่"
    echo "2) ใช่"
    echo " "
    read -p "ใส่คำตอบของคุณ [1] : " UNINSTALLCHOICE

    until [[ -z "$UNINSTALLCHOICE" || "$UNINSTALLCHOICE" =~ ^[1-2]$ ]]; do
                printf "\n$UNINSTALLCHOICE: ค่าที่ใส่ไม่ถูกต้อง\n\n"
                read -p "ใส่คำตอบของคุณ [1] : " UNINSTALLCHOICE
        done
        case "$UNINSTALLCHOICE" in
            1|"")
                exit
            ;;
            2)
                DIR=$DIR2
                if [[ -f "$DIR/$APPNAME" ]]; then
                    echo "กำลังถอนการติดตั้ง $APPNAME จาก $DIR"
                    sudo rm $DIR/$APPNAME
                else
                    echo "ไม่สามารถถอนการติดตั้งได้เนื่องจากยังไม่ได้ติดตั้งแอปพลิเคชันใน $DIR"
                fi
            ;;
        esac
    else
        echo " "
        echo "เลือกผู้ใช้ที่ต้องการถอนติดตั้งให้"
        echo " "
        echo "1) $USER ($DIR1)"
        echo "2) ทุกคน ($DIR2)"
        echo " "
        read -p "ใส่คำตอบของคุณ : " UNINSTALLCHOICE
        until [[ -z "$UNINSTALLCHOICE" || "$UNINSTALLCHOICE" =~ ^[1-2]$ ]]; do
                echo "$UNINSTALLCHOICE: ค่าที่ใส่ไม่ถูกต้อง"
                read -p "ใส่คำตอบของคุณ :" UNINSTALLCHOICE
        done
        case "$UNINSTALLCHOICE" in
            1)
                DIR=$DIR1
                if [[ -f "$DIR/$APPNAME" ]]; then
                    printf "\nกำลังถอนการติดตั้ง $APPNAME จาก $DIR\n"
                    rm $DIR/$APPNAME
                else
                    printf "\nไม่สามารถถอนการติดตั้งได้เนื่องจากยังไม่ได้ติดตั้งแอปพลิเคชันใน $DIR"
                    exit
                fi
            ;;
            2)
                DIR=$DIR2
                if [[ -f "$DIR/$APPNAME" ]]; then
                    printf "\nกำลังถอนการติดตั้ง $APPNAME จาก $DIR\n"
                    printf "\nกรุณาใส่รหัสผ่าน sudo หากถูกถามในการติดตั้ง\n\n"
                    sudo rm $DIR/$APPNAME
                else
                    printf "\nไม่สามารถถอนการติดตั้งได้เนื่องจากยังไม่ได้ติดตั้งแอปพลิเคชันใน $DIR"
                    exit
                fi
            ;;
            "")
                exit
            ;;
        esac
    fi
    printf "\nการถอนการติดตั้ง $APPNAME จาก $DIR เสร็จสมบูรณ์\n"
